### Struct

# EBookContacts ContactGender

#### Description

    struct EContactGender {
      EContactGenderSex sex;
      gchar* identity;
    }

No description available.

###### Structure members

`sex:` `EContactGenderSex`

  No description available.

`identity:` `gchar*`

  No description available.

#### Constructors

###### e_contact_gender_new

Creates a new empty `EContactGender` structure. Free it with `e_contact_gender_free()` when no longer needed.

since: 3.60

#### Functions

###### e_contact_gender_sex_from_string

Converts a string into an `EContactGenderSex`. Unrecognized values are returned as `E_CONTACT_GENDER_SEX_NOT_SET`.

since: 3.60

###### e_contact_gender_sex_to_string

Converts the `sex` into a string, as used by the vCard 4.0 standard.

since: 3.60

#### Instance methods

###### e_contact_gender_copy

Creates a copy of the `self`. Returns `NULL` when `self` is `NULL`. Free it with e_contact_gender_free(), when no longer needed.

since: 3.60

###### e_contact_gender_free

Frees the `self`. Does nothing, when `self` is `NULL`.

since: 3.60